- add compatible string
- add console to bootargs
- add led aliases
- adjust nand partition table
---
--- a/arch/arm/boot/dts/ox820-cloudengines-pogoplug-series-3.dts
+++ b/arch/arm/boot/dts/ox820-cloudengines-pogoplug-series-3.dts
@@ -11,10 +11,10 @@
 / {
 	model = "Cloud Engines PogoPlug Series 3";
 
-	compatible = "cloudengines,pogoplugv3", "oxsemi,ox820";
+	compatible = "cloudengines,pogoplug-series-3", "cloudengines,pogoplugv3", "oxsemi,ox820";
 
 	chosen {
-		bootargs = "earlyprintk";
+		bootargs = "earlyprintk console=ttyS0,115200";
 		stdout-path = "serial0:115200n8";
 	};
 
@@ -27,24 +27,28 @@
 		serial0 = &uart0;
 		gpio0 = &gpio0;
 		gpio1 = &gpio1;
+		led-boot = &led_status;
+		led-failsafe = &led_warn;
+		led-running = &led_act;
+		led-upgrade = &led_warn;
 	};
 
 	leds {
 		compatible = "gpio-leds";
 
-		blue {
+		led_status: blue {
 			label = "pogoplug:blue";
 			gpios = <&gpio0 2 0>;
 			default-state = "keep";
 		};
 
-		orange {
+		led_warn: orange {
 			label = "pogoplug:orange";
 			gpios = <&gpio1 16 1>;
 			default-state = "keep";
 		};
 
-		green {
+		led_act: green {
 			label = "pogoplug:green";
 			gpios = <&gpio1 17 1>;
 			default-state = "keep";
@@ -73,11 +77,27 @@
 		nand-ecc-algo = "hamming";
 
 		partition@0 {
-			label = "boot";
-			reg = <0x00000000 0x00e00000>;
+			label = "stage1";
+			reg = <0x00000000 0x00040000>;
 			read-only;
 		};
 
+		partition@40000 {
+			label = "u-boot";
+			reg = <0x00040000 0x00380000>;
+			read-only;
+		};
+
+		partition@3c0000 {
+			label = "u-boot-env";
+			reg = <0x003c0000 0x00080000>;
+		};
+
+		partition@440000 {
+			label = "kernel";
+			reg = <0x00440000 0x009c0000>;
+		};
+
 		partition@e00000 {
 			label = "ubi";
 			reg = <0x00e00000 0x07200000>;
